## org.aspectj.lang.annotation
Annotation Type AdviceName

    @Retention(value=RUNTIME)
    @Target(value=METHOD)
    public @interface AdviceName

Used to annotated code-style advice to name it Name is used by reflection api if present, may in future be used in adviceexecution() pcd. It is an error to use the @AdviceName annotation on an annotation-style advice declaration.

Required Element Summary
`java.lang.String` `value` The name of the advice

Element Detail

### value

    public abstract java.lang.String value

  The name of the advice